---
title: <frameset>
slug: Web/HTML/Element/frameset
tags:
  - Deprecated
  - Element
  - HTML
  - Reference
  - Web
---
<div>{{HTMLRef}}{{Deprecated_header}}</div>

<p>The <strong>HTML <code>&lt;frameset&gt;</code> element</strong> is used to contain {{HTMLElement("frame")}} elements.</p>

<div class="note"><strong>Note:</strong> Because the use of frames is now discouraged in favor of using {{HTMLElement("iframe")}}, this element is not typically used by modern web sites.</div>

<h2 id="Attributes">Attributes</h2>

<p>Like all other HTML elements, this element supports the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("cols")}}</dt>
 <dd>This attribute specifies the number and size of horizontal spaces in a frameset.</dd>
 <dt>{{htmlattrdef("rows")}}</dt>
 <dd>This attribute specifies the number and size of vertical spaces in a frameset.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush:html">&lt;frameset cols="50%,50%"&gt;
  &lt;frame src="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/frameset" /&gt;
  &lt;frame src="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/frame" /&gt;
&lt;/frameset&gt;</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.frameset")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("frame")}}</li>
 <li>{{HTMLElement("iframe")}}</li>
</ul>
